# Editor.TimeLineView Class Reference

Collaboration diagram for Editor.TimeLineView:

[legend]

List of all members.

## Public Member Functions
| TimeLineView (Mediator mediator)
void | SetStartAndEnd (double startTime, double endTime)
void | GetStartAndEnd (out double startTime, out double endTime)
Marker | Select (Point p, double maxDist)
Marker[] | Pick (Point p)
double | Distance (Point p0, Point p1)
void | SuppresMarker (Marker marker)
void | UpdateScriptableObjectTimeLine (IAmScriptable scriptableObj)
void | UpdateTimeLineView (TimeLine timeLine)
void | UpdateMarkerPositions ()
int | PosFromTime (float time)
| TimeLineView (Mediator mediator)
void | SetStartAndEnd (double startTime, double endTime)
void | GetStartAndEnd (out double startTime, out double endTime)
Marker | Select (Point p, double maxDist)
Marker[] | Pick (Point p)
double | Distance (Point p0, Point p1)
void | SuppresMarker (Marker marker)
void | UpdateScriptableObjectTimeLine (IAmScriptable scriptableObj)
void | UpdateTimeLineView (TimeLine timeLine)
void | UpdateMarkerPositions ()
int | PosFromTime (float time)
## Protected Member Functions
override void | OnMouseDoubleClick (MouseEventArgs e)
void | EditEvent (Marker marker)
void | CreateEvent (Point p)
override void | OnMouseClick (MouseEventArgs e)
override void | OnKeyDown (KeyEventArgs e)
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | OnMouseDoubleClick (MouseEventArgs e)
void | EditEvent (Marker marker)
void | CreateEvent (Point p)
override void | OnMouseClick (MouseEventArgs e)
override void | OnKeyDown (KeyEventArgs e)
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Detailed Description

Definition at line 18 of file TimeLineView.cs.

## Constructor & Destructor Documentation

Editor.TimeLineView.TimeLineView | ( | Mediator | mediator | ) |

Definition at line 37 of file TimeLineView.cs.

Here is the call graph for this function:

Editor.TimeLineView.TimeLineView | ( | Mediator | mediator | ) |

Definition at line 37 of file TimeLineView.cs.

Here is the call graph for this function:

## Member Function Documentation

void Editor.TimeLineView.CreateEvent | ( | Point | p | ) | `[protected]`

Definition at line 196 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.CreateEvent | ( | Point | p | ) | `[protected]`

Definition at line 196 of file TimeLineView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

override void Editor.TimeLineView.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file TimeLineView.Designer.cs.

override void Editor.TimeLineView.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file TimeLineView.Designer.cs.

double Editor.TimeLineView.Distance | ( | Point | p0,
|  | Point | p1 |
| ) |  |  |

Definition at line 282 of file TimeLineView.cs.

double Editor.TimeLineView.Distance | ( | Point | p0,
|  | Point | p1 |
| ) |  |  |

Definition at line 282 of file TimeLineView.cs.

Here is the caller graph for this function:

void Editor.TimeLineView.EditEvent | ( | Marker | marker | ) | `[protected]`

Definition at line 165 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.EditEvent | ( | Marker | marker | ) | `[protected]`

Definition at line 165 of file TimeLineView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.TimeLineView.GetStartAndEnd | ( | out double | startTime,
|  | out double | endTime |
| ) |  |  |

Definition at line 83 of file TimeLineView.cs.

void Editor.TimeLineView.GetStartAndEnd | ( | out double | startTime,
|  | out double | endTime |
| ) |  |  |

Definition at line 83 of file TimeLineView.cs.

override void Editor.TimeLineView.OnKeyDown | ( | KeyEventArgs | e | ) | `[protected]`

Definition at line 287 of file TimeLineView.cs.

Here is the call graph for this function:

override void Editor.TimeLineView.OnKeyDown | ( | KeyEventArgs | e | ) | `[protected]`

Definition at line 287 of file TimeLineView.cs.

Here is the call graph for this function:

override void Editor.TimeLineView.OnMouseClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 232 of file TimeLineView.cs.

Here is the call graph for this function:

override void Editor.TimeLineView.OnMouseClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 232 of file TimeLineView.cs.

Here is the call graph for this function:

override void Editor.TimeLineView.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 146 of file TimeLineView.cs.

Here is the call graph for this function:

override void Editor.TimeLineView.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 146 of file TimeLineView.cs.

Here is the call graph for this function:

Marker [] Editor.TimeLineView.Pick | ( | Point | p | ) |

Definition at line 267 of file TimeLineView.cs.

Here is the call graph for this function:

Marker [] Editor.TimeLineView.Pick | ( | Point | p | ) |

Definition at line 267 of file TimeLineView.cs.

Here is the call graph for this function:

int Editor.TimeLineView.PosFromTime | ( | float | time | ) |

Definition at line 345 of file TimeLineView.cs.

int Editor.TimeLineView.PosFromTime | ( | float | time | ) |

Definition at line 345 of file TimeLineView.cs.

Here is the caller graph for this function:

Marker Editor.TimeLineView.Select | ( | Point | p,
|  | double | maxDist |
| ) |  |  |

Definition at line 247 of file TimeLineView.cs.

Here is the call graph for this function:

Marker Editor.TimeLineView.Select | ( | Point | p,
|  | double | maxDist |
| ) |  |  |

Definition at line 247 of file TimeLineView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.TimeLineView.SetStartAndEnd | ( | double | startTime,
|  | double | endTime |
| ) |  |  |

Definition at line 77 of file TimeLineView.cs.

void Editor.TimeLineView.SetStartAndEnd | ( | double | startTime,
|  | double | endTime |
| ) |  |  |

Definition at line 77 of file TimeLineView.cs.

void Editor.TimeLineView.SuppresMarker | ( | Marker | marker | ) |

Definition at line 300 of file TimeLineView.cs.

void Editor.TimeLineView.SuppresMarker | ( | Marker | marker | ) |

Definition at line 300 of file TimeLineView.cs.

Here is the caller graph for this function:

void Editor.TimeLineView.UpdateMarkerPositions | ( |  | ) |

Definition at line 336 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.UpdateMarkerPositions | ( |  | ) |

Definition at line 336 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.UpdateScriptableObjectTimeLine | ( | IAmScriptable | scriptableObj | ) |

Definition at line 305 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.UpdateScriptableObjectTimeLine | ( | IAmScriptable | scriptableObj | ) |

Definition at line 305 of file TimeLineView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.TimeLineView.UpdateTimeLineView | ( | TimeLine | timeLine | ) |

Definition at line 317 of file TimeLineView.cs.

Here is the call graph for this function:

void Editor.TimeLineView.UpdateTimeLineView | ( | TimeLine | timeLine | ) |

Definition at line 317 of file TimeLineView.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/TimeLineView.cs
- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/TimeLineView.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/TimeLineView.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/TimeLineView.Designer.cs